## opustags 1.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(
	opustags
	VERSION 1.10.1
	LANGUAGES CXX
)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# opustags is mainly developed with glibc, which introduces a few
# incompatibilites with BSDs, like getline not being defined by default.
# _GNU_SOURCE should trigger BSD’s libc GNU compatibility mode to fix that.
add_definitions(-D_GNU_SOURCE)

find_package(PkgConfig REQUIRED)
pkg_check_modules(OGG REQUIRED ogg)
add_compile_options(${OGG_CFLAGS})
link_directories(${OGG_LIBRARY_DIRS})

include(FindIconv)

# We need endian.h on Linux, and sys/endian.h on BSD.
include(CheckIncludeFileCXX)
check_include_file_cxx(endian.h HAVE_ENDIAN_H)
check_include_file_cxx(sys/endian.h HAVE_SYS_ENDIAN_H)

include(CheckStructHasMember)
check_struct_has_member("struct stat" st_mtim sys/stat.h HAVE_STAT_ST_MTIM LANGUAGE CXX)
check_struct_has_member("struct stat" st_mtimespec sys/stat.h HAVE_STAT_ST_MTIMESPEC LANGUAGE CXX)

configure_file(src/config.h.in config.h @ONLY)
include_directories(BEFORE src "${CMAKE_BINARY_DIR}" ${OGG_INCLUDE_DIRS} ${Iconv_INCLUDE_DIRS})

add_library(
	ot
	STATIC
	src/base64.cc
	src/cli.cc
	src/ogg.cc
	src/opus.cc
	src/system.cc
)
target_link_libraries(ot PUBLIC ${OGG_LIBRARIES} ${Iconv_LIBRARIES})

add_executable(opustags src/opustags.cc)
target_link_libraries(opustags ot)

include(GNUInstallDirs)
install(TARGETS opustags DESTINATION "${CMAKE_INSTALL_BINDIR}")
configure_file(opustags.1 . @ONLY)
install(FILES "${CMAKE_BINARY_DIR}/opustags.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
install(FILES CHANGELOG.md CONTRIBUTING.md LICENSE README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

add_subdirectory(t)

=== t/CMakeLists.txt ===
add_executable(system.t EXCLUDE_FROM_ALL system.cc)
target_link_libraries(system.t ot)

add_executable(opus.t EXCLUDE_FROM_ALL opus.cc)
target_link_libraries(opus.t ot)

add_executable(ogg.t EXCLUDE_FROM_ALL ogg.cc)
target_link_libraries(ogg.t ot)

add_executable(cli.t EXCLUDE_FROM_ALL cli.cc)
target_link_libraries(cli.t ot)

add_executable(base64.t EXCLUDE_FROM_ALL base64.cc)
target_link_libraries(base64.t ot)

add_executable(oggdump EXCLUDE_FROM_ALL oggdump.cc)
target_link_libraries(oggdump ot)

configure_file(gobble.opus . COPYONLY)
configure_file(pixel.png . COPYONLY)

add_custom_target(
	check
	COMMAND prove "${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}"
	DEPENDS opustags gobble.opus system.t opus.t ogg.t cli.t base64.t
)

## opustags 1.9.0

=== debian/changelog ===
opustags (1.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1039929)
  * Fix typo in man page.
  * d/watch: Use new format for GitHub.
  * d/rules: Export LC_ALL=C.UTF-8 to work around pbuilder bug.
  * d/rules: Remove unused include of pkg-info.mk
  * d/rules: Disable DH_VERBOSE for release.
  * d/copyright: Update copyright year.

 -- Dale Richards <dale@dalerichards.net>  Fri, 15 Dec 2023 08:35:03 +0000

=== debian/control ===
Source: opustags
Section: utils
Priority: optional
Maintainer: Dale Richards <dale@dalerichards.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libogg-dev,
 libtest-deep-perl,
 liblist-moreutils-perl,
 ffmpeg,
Standards-Version: 4.6.2
Homepage: https://github.com/fmang/opustags
Vcs-Browser: https://salsa.debian.org/doge-tech/opustags
Vcs-Git: https://salsa.debian.org/doge-tech/opustags.git

Package: opustags
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: view and edit Ogg Opus comments
 Edit Opus tags in batch with command line flags, export or
 import tags through text files, or edit tags interactively
 using your preferred text editor.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export LC_ALL = C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/fmang/opustags/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## opustags 1.10.1

=== debian/changelog ===
opustags (1.10.1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:41:35 +0000

opustags (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
    - Include algorithm library in src/cli.cc and src/opus.cc to
      fix errors when building with gcc-14. (Closes: #1075349)

 -- Dale Richards <dale@dalerichards.net>  Wed, 17 Jul 2024 11:28:13 +0100

opustags (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
    - Introduce -z to delimit tags with null bytes.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Remove patch fixed upstream.
  * Bump copyright year.
  * Remove redundant LICENSE file.

 -- Dale Richards <dale@dalerichards.net>  Sat, 18 May 2024 13:08:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+
+override_dh_auto_install:
+	dh_auto_install --
+	rm debian/opustags/usr/share/doc/opustags/LICENSE
